Page 1 of 1

Problema con Qt5 en Gnome

Posted: Sun Apr 07, 2019 8:24 pm
by jcarlos77
Buen día.

Hace unos días compré la versión profesional del programa.
Descargué las versión normal y la versión "legacy" (Qt4), pero sólo la versión normal (Qt5) tiene la opción de abrir y guardar archivos en formato 2018 (tanto dwg como dxf).
Entonces, obviamente quiero trabajar con la versión Qt5, pero en mi Debian Stretch (9.8) con Gnome, las fuentes se ven horribles, son casi ilegibles, y no he encontrado la manera de que Qcad tome la misma configuración que toma la versión Qt4...

¿Hay alguna solución para esto?

De antemano, gracias.
Saludos.

Re: Problema con Qt5 en Gnome

Posted: Mon Apr 08, 2019 11:15 am
by andrew
No creo que sea un problema específico del QCAD. ¿Has intentado buscar en Google las fuentes "Qt fonts Gnome"?

Re: Problema con Qt5 en Gnome

Posted: Mon Apr 08, 2019 11:35 pm
by jcarlos77
Hola Andrew...

Sí. He intentado algunas cosas.
Por ejemplo, la versión qt4 del Qcad funciona muy bien, pero tiene un par de detalles
con la selección de bloques y atributos, además de que no tiene implementados los
formatos DWG y DXF 2018.

Curiosamente, en Gnome, funcionan perfectamente la versión Qt4 del Qcad, además
de programas Qt5, como el QTCreator o el LibreCAD.

Entonces, sí me parece que es una cuestión del Qcad, o de cómo hacer que tome
las fuentes de GTK.
Intenté con Qt5ct, y tampoco.

¿Nadie más tiene este problema?

Gracias por la pronta respuesta...

Re: Problema con Qt5 en Gnome

Posted: Wed Apr 10, 2019 9:56 pm
by andrew
Tal vez esos otros programas están usando la versión Qt de su sistema. QCAD viene con sus propias librerías Qt. Puede intentar eliminarlos o sustituirlos (es decir, eliminar[directorio de instalación de QCAD]/libQt5*.so.5.).

Re: Problema con Qt5 en Gnome

Posted: Fri Apr 12, 2019 5:01 am
by jcarlos77
Andrew, gracias por tu apoyo.

Tienes razón al afirmar que no es un problema de Qcad.
Te comento que probé con el escritorio Cinnamon de Debian Stretch, con una instalación limpia, y funcionó
perfectamente... Pero al momento de instalar todos los programas que utilizo normalmente, algo sucedió
y dejó de funcionar.

Tal vez sea una cuestión de configuración, de las variables exportadas environment de QT...

Sobre tu sugerencia, borré los archivos libQT5*.so.5, pero arroja un error de dependencia con la librería
libQt5ScriptTools.
Me temo que si voy dejando las librerías que marquen error, irán apareciendo nuevos errores con casos
similares.

¿Será posible que funcione si elimino sólo las librerías presentes en el sistema?
o ¿será mejor buscar una solución mediante las variables de entorno QT_... ?

Y es que, no sé porqué, pero con KDE me siento fuera de mi ambiente.

Saludos y gracias de antemano.

Re: Problema con Qt5 en Gnome

Posted: Mon Apr 15, 2019 10:56 am
by andrew
Tal vez pueda instalar libQt5ScriptTools por separado desde algún lugar de su sistema o usar el que viene con QCAD.